Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::A85Stream Class Reference
Ipe Utilities

Filter stream adding ASCII85 encoding. More...

`#include <ipeutils.h>`

Inherits ipe::Stream.

List of all members.

## Public Member Functions

- A85Stream (Stream &stream)
- virtual void putChar (char ch)
- virtual void close ()

## Detailed Description

Filter stream adding ASCII85 encoding.

## Constructor & Destructor Documentation

A85Stream::A85Stream | ( | Stream & | stream | ) |

## Member Function Documentation

void A85Stream::putChar | ( | char | ch | ) | `[virtual]`

Output character.

Implements ipe::Stream.

void A85Stream::close | ( |  | ) | `[virtual]`

Close the stream. No more writing allowed!

Reimplemented from ipe::Stream.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp